package com.usky.system.controller.web;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.SysServerMonitor;
import com.usky.system.service.SysServerMonitorService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.time.LocalDateTime;

@RestController
@RequestMapping("/monitor")
public class SysServerMonitorController {

    @Autowired
    private SysServerMonitorService sysServerMonitorService;

    @PostMapping("/insert")
    public Object insert(@RequestBody SysServerMonitor monitor) {
        // 确保 readTime 字段被赋值
        monitor.setReadTime(LocalDateTime.now());

        // 确保 createBy 字段被赋值
        monitor.setCreateBy("admin"); // 示例：设置为当前用户信息

        // 确保 createTime 字段被赋值
        monitor.setCreateTime(LocalDateTime.now());

        monitor.serializeGpuUsageInfo();
        monitor.serializeDiskUsageInfo();
        return sysServerMonitorService.insert(monitor);
    }

    @GetMapping("/list")
    public CommonPage<SysServerMonitor> list(@RequestParam(value = "serverIp", required = false) String serverIp,
                                             @RequestParam(value = "startTime", required = false) String startTime,
                                             @RequestParam(value = "endTime", required = false) String endTime,
                                             @RequestParam(value = "page", defaultValue = "1") int page,
                                             @RequestParam(value = "size", defaultValue = "10") int size) {
        LocalDateTime start = startTime != null ? LocalDateTime.parse(startTime) : null;
        LocalDateTime end = endTime != null ? LocalDateTime.parse(endTime) : null;
        return sysServerMonitorService.selectByCondition(serverIp, start, end, page, size);
    }

    @DeleteMapping("/deleteById")
    public Object deleteById(Long id) {
        return sysServerMonitorService.deleteById(id);
    }
}