package com.usky.system.domain;

import com.fasterxml.jackson.databind.ObjectMapper;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public class SysServerMonitor {
    private Long id;
    private LocalDateTime readTime;
    private String serverIp;
    private String serverAlias;
    private Double cpuUsage;
    private Double memorySize;
    private Double memoryUsed;
    private Double memoryUsage;
    private String gpuUsageInfoSerialized; // 数据库中存储的 JSON 字符串
    private String diskUsageInfoSerialized; // 数据库中存储的 JSON 字符串
    private transient List<Map<String, Object>> gpuUsageInfo; // 用于接收 JSON 数组
    private transient List<Map<String, Object>> diskUsageInfo; // 用于接收 JSON 数组
    private String createBy;
    private LocalDateTime createTime;

    // Getter 和 Setter 方法
    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public LocalDateTime getReadTime() { return readTime; }
    public void setReadTime(LocalDateTime readTime) { this.readTime = readTime; }
    public String getServerIp() { return serverIp; }
    public void setServerIp(String serverIp) { this.serverIp = serverIp; }
    public String getServerAlias() { return serverAlias; }
    public void setServerAlias(String serverAlias) { this.serverAlias = serverAlias; }
    public Double getCpuUsage() { return cpuUsage; }
    public void setCpuUsage(Double cpuUsage) { this.cpuUsage = cpuUsage; }
    public Double getMemorySize() { return memorySize; }
    public void setMemorySize(Double memorySize) { this.memorySize = memorySize; }
    public Double getMemoryUsed() { return memoryUsed; }
    public void setMemoryUsed(Double memoryUsed) { this.memoryUsed = memoryUsed; }
    public Double getMemoryUsage() { return memoryUsage; }
    public void setMemoryUsage(Double memoryUsage) { this.memoryUsage = memoryUsage; }
    public String getGpuUsageInfoSerialized() { return gpuUsageInfoSerialized; }
    public void setGpuUsageInfoSerialized(String gpuUsageInfoSerialized) { this.gpuUsageInfoSerialized = gpuUsageInfoSerialized; }
    public String getDiskUsageInfoSerialized() { return diskUsageInfoSerialized; }
    public void setDiskUsageInfoSerialized(String diskUsageInfoSerialized) { this.diskUsageInfoSerialized = diskUsageInfoSerialized; }
    public List<Map<String, Object>> getGpuUsageInfo() { return gpuUsageInfo; }
    public void setGpuUsageInfo(List<Map<String, Object>> gpuUsageInfo) { this.gpuUsageInfo = gpuUsageInfo; }
    public List<Map<String, Object>> getDiskUsageInfo() { return diskUsageInfo; }
    public void setDiskUsageInfo(List<Map<String, Object>> diskUsageInfo) { this.diskUsageInfo = diskUsageInfo; }
    public String getCreateBy() { return createBy; }
    public void setCreateBy(String createBy) { this.createBy = createBy; }
    public LocalDateTime getCreateTime() { return createTime; }
    public void setCreateTime(LocalDateTime createTime) { this.createTime = createTime; }

    // 序列化方法
    public void serializeGpuUsageInfo() {
        ObjectMapper objectMapper = new ObjectMapper();
        try {
            this.gpuUsageInfoSerialized = objectMapper.writeValueAsString(this.gpuUsageInfo);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public void serializeDiskUsageInfo() {
        ObjectMapper objectMapper = new ObjectMapper();
        try {
            this.diskUsageInfoSerialized = objectMapper.writeValueAsString(this.diskUsageInfo);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}