package com.usky.system.mapper;

import com.usky.system.domain.SysServerMonitor;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface SysServerMonitorMapper {

    // 插入监控数据
    int insert(SysServerMonitor monitor);

    // 查询
    List<SysServerMonitor> selectByCondition(@Param("serverIp") String serverIp,
                                             @Param("startTime") LocalDateTime startTime,
                                             @Param("endTime") LocalDateTime endTime,
                                             @Param("offset") int offset,
                                             @Param("limit") int limit);

    // 查询总记录数
    int countByCondition(@Param("serverIp") String serverIp,
                         @Param("startTime") LocalDateTime startTime,
                         @Param("endTime") LocalDateTime endTime);


    // 根据 ID 删除监控数据
    int deleteById(@Param("id") Long id);
}
