package com.usky.system.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.system.domain.SysServerMonitor;
import com.usky.system.mapper.SysServerMonitorMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.List;

@Service
public class SysServerMonitorService {
    @Autowired
    private SysServerMonitorMapper sysServerMonitorMapper;

    public int insert(SysServerMonitor monitor) {
        return sysServerMonitorMapper.insert(monitor);
    }

    public CommonPage<SysServerMonitor> selectByCondition(String serverIp, LocalDateTime startTime, LocalDateTime endTime, int page, int size) {
        int offset = (page - 1) * size;
        List<SysServerMonitor> records = sysServerMonitorMapper.selectByCondition(serverIp, startTime, endTime, offset, size);
        int total = sysServerMonitorMapper.countByCondition(serverIp, startTime, endTime);
        return new CommonPage<>(records, total, size, page);
    }

    public int deleteById(Long id) {
        return sysServerMonitorMapper.deleteById(id);
    }

}
